/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// griddll.h                                                               //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// Grid control library - Version 1.34 - 11 mar 1995                       //
// Author: H. Picot                                                        //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

#ifndef GRIDDLL_H
#define GRIDDLL_H

#ifndef OEMRESOURCE
#define OEMRESOURCE
#endif

#if defined (_BUILDGRIDDLL)
#  define _GRIDCLASS    __export
#  define _GRIDFUNCTION __export
#  define _GRIDDATA     __export
#  define GRIDMODULE

#elif defined (_GRIDLIB)
#  define _GRIDCLASS
#  define _GRIDFUNCTION
#  define _GRIDDATA     

#else
#  define _GRIDCLASS    __import
#  ifdef __WIN32__
#     define _GRIDFUNCTION __import
#     define _GRIDDATA     __import
#  else
#     define _GRIDFUNCTION
#     define _GRIDDATA     
#  endif
#  define GRIDMODULE

#endif

#ifndef __OWL_OWLPCH_H
#include <owl/owlpch.h>
#endif
#ifndef __OWL_EDIT_H
#include <owl/edit.h>
#endif
#ifndef __OWL_COMBOBOX_H
#include <owl/combobox.h>
#endif
#ifndef __OWL_BUTTON_H
#include <owl/button.h>
#endif
#ifndef __OWL_CHECKBOX_H
#include <owl/checkbox.h>
#endif
#ifndef __OWL_VALIDATE_H
#include <owl/validate.h>
#endif
#ifndef __STDIO_H
#include <stdio.h>
#endif

// grid
#include <grid.h>
#include <gridbtn.h>
#include <gridcbox.h>
#include <gridedit.h>
#include <gridstat.h>
#include <gridckbx.h>

// controls
#include <language.h>
#include <intldate.h>
#include <dateedit.h>
#include <tgtime.h>
#include <timeedit.h>
#include <numedit.h>

#ifdef GRIDMODULE
extern TModule *GridModule;
#endif

#endif
